Name:          celestia
Version:       1.6.1
Release:       1mamba
Summary:       the free space simulation that lets you explore our universe in three dimensions
Group:         Graphical Desktop/Applications/Educational
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.shatters.net/celestia
Source0:       http://puzzle.dl.sourceforge.net/sourceforge/celestia/celestia-%{version}.tar.gz
Source1:       %{name}.desktop
Patch2:        %{name}-1.5.0-gcc44.patch
Patch3:        %{name}-1.5.1-gcc44.patch
Patch4:        %{name}-1.6.0-png14.patch
Patch5:        %{name}-1.6.0-png15.patch
Patch6:        %{name}-1.6.0-gcc45.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kdelibs-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libexpat-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libGL-devel
BuildRequires: libGLU-devel
BuildRequires: libICE-devel
BuildRequires: libidn-devel
BuildRequires: libjpeg-devel
BuildRequires: liblcms-devel
BuildRequires: liblua-devel
BuildRequires: libmng-devel
BuildRequires: libogg-devel
BuildRequires: libpng-devel
BuildRequires: libqt-devel
BuildRequires: libreadline-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtheora-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libxcb-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXft-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libXmu-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libXt-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The free space simulation that lets you explore our universe in three dimensions.

%prep
%setup -q
#%patch2 -p1
%patch3 -p1
#%patch4 -p0
%patch5 -p0
#%patch6 -p0

%build
export QTDIR=%{_qt3_prefix} KDEDIR=%{prefix} QTLIB=%{_qt3_libdir}
CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
%configure \
	 --with-kde \
	--bindir=%{_bindir} \
	--sbindir=%{_sbindir} \
	--libdir=%{_libdir} \
	--includedir=%{_includedir} \
	--datadir=%{_datadir} \
	--infodir=%{_infodir} \
	--localedir=%{_localedir}/celestia \
	--mandir=%{_mandir} \
	--docdir=%{_docdir}/celestia \
	--with-extra-includes=%{_kdeincludedir} \
	--with-extra-libs=%{_libdir}/kde3 \
	--with-extra-libs=%{_libdir}/kde3 \
	--enable-cairo \
	--with-x \
	--with-xinerama
%make
###### -j1

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall
install -D %{S:1} \
   %{buildroot}%{_datadir}/applications/%{name}.desktop
##rm -r %{buildroot}/celestia.schemas

#%find_lang %{name}-f %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%{_bindir}/celestia
%{_localedir}/*/LC_MESSAGES/celestia_constellations.mo
%{_localedir}/*/LC_MESSAGES/celestia.mo
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applnk/Edutainment/Science/celestia.desktop
%{_datadir}/apps/celestia
%{_datadir}/config/celestiarc
%{_datadir}/icons/hicolor/*/apps/celestia.png
%{_datadir}/mimelnk/application/x-celestia-script.desktop
%{_datadir}/services/celestia.protocol
%dir %{_datadir}/celestia
%{_datadir}/celestia/COPYING
%{_datadir}/celestia/COPYING_*
%{_datadir}/celestia/bookmarks.xml
%{_datadir}/celestia/celestia.cfg
%{_datadir}/celestia/celestiaui.rc
%{_datadir}/celestia/*.cel
%{_datadir}/celestia/*.txt
%dir %{_datadir}/celestia/data
%{_datadir}/celestia/data/*.ssc
%{_datadir}/celestia/data/*.dat
#%{_datadir}/celestia/data/*.xyz
%{_datadir}/celestia/data/*.dsc
%{_datadir}/celestia/data/*.stc
%dir %{_datadir}/celestia/extras-standard
%{_datadir}/celestia/extras-standard/*
%dir %{_datadir}/celestia/extras
%{_datadir}/celestia/extras/*.ssc
%dir %{_datadir}/celestia/favicons
%{_datadir}/celestia/favicons/*.png
%dir %{_datadir}/celestia/fonts
%{_datadir}/celestia/fonts/*.txf
%dir %{_datadir}/celestia/models
%{_datadir}/celestia/models/*.png
%{_datadir}/celestia/models/*.3ds
%{_datadir}/celestia/models/*.cmod
%{_datadir}/celestia/models/*.cms
%dir %{_datadir}/celestia/scripts
%{_datadir}/celestia/scripts/*
%dir %{_datadir}/celestia/shaders
%{_datadir}/celestia/shaders/*.vp
%{_datadir}/celestia/shaders/*.fp
%dir %{_datadir}/celestia/splash
%{_datadir}/celestia/splash/splash.png
%dir %{_datadir}/celestia/textures
%{_datadir}/celestia/textures/flare.jpg
%{_datadir}/celestia/textures/logo.png
%dir %{_datadir}/celestia/textures/hires
%{_datadir}/celestia/textures/hires/*.jpg
%dir %{_datadir}/celestia/textures/lores
%{_datadir}/celestia/textures/lores/*.jpg
%{_datadir}/celestia/textures/lores/*.png
%dir %{_datadir}/celestia/textures/medres
%{_datadir}/celestia/textures/medres/*.jpg
%{_datadir}/celestia/textures/medres/*.png
%dir %{_docdir}/HTML/en/celestia
%doc %{_docdir}/HTML/en/celestia/common
%doc %{_docdir}/HTML/en/celestia/*.jpg
%doc %{_docdir}/HTML/en/celestia/index.cache.bz2
%doc %{_docdir}/HTML/en/celestia/index.docbook
%doc AUTHORS ChangeLog INSTALL README

%changelog
* Thu Jul 21 2011 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic update by autodist

* Sat Mar 26 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.0-2mamba
- rebuilt with libjpeg 8
- added patches for libpng 1.4 and 1.5

* Tue Jul 14 2009 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic update by autodist

* Mon May 18 2009 Automatic Build System <autodist@mambasoft.it> 1.5.1-2mamba
- automatic rebuild by autodist

* Sun Jun 08 2008 gil <puntogil@libero.it> 1.5.1-1mamba
- update to 1.5.1
- removed patch

* Fri Jul 08 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 1.3.2-1qilnx
- package created by autospec
